#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Net
%define		pnam	SSH-Perl
Summary:	Net::SSH::Perl - Perl client Interface to SSH
Summary(pl.UTF-8):	Net::SSH::Perl - perlowy interfejs kliencki do SSH
Name:		perl-Net-SSH-Perl
Version:	2.14
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f831bc57d845da9343da7b8d5a755847
URL:		http://search.cpan.org/dist/Net-SSH-Perl/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Convert-PEM >= 0.05
BuildRequires:	perl-Crypt-DH >= 0.01
BuildRequires:	perl-Crypt-DSA >= 0.11
BuildRequires:	perl-CryptX >= 0.066
BuildRequires:	perl-Digest-HMAC
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-Digest-SHA1 >= 2.10
BuildRequires:	perl-File-HomeDir
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-Math-GMP >= 1.04
BuildRequires:	perl-Math-Pari >= 2.001804
BuildRequires:	perl-String-CRC32 >= 1.2
%endif
Requires:	perl-Convert-PEM >= 0.05
Requires:	perl-Crypt-Blowfish
Requires:	perl-Crypt-DES
Requires:	perl-Crypt-DH >= 0.01
Requires:	perl-Crypt-DSA >= 0.11
Requires:	perl-Crypt-IDEA
Requires:	perl-Crypt-RSA
Requires:	perl-Digest-BubbleBabble
Requires:	perl-Digest-HMAC
Requires:	perl-Digest-MD5
Requires:	perl-Digest-SHA1 >= 2.10
Requires:	perl-MIME-Base64
Requires:	perl-Math-GMP >= 1.04
Requires:	perl-Math-Pari >= 2.001804
Requires:	perl-String-CRC32 >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::SSH::Perl is an all-Perl module implementing an SSH (Secure
Shell) client. It is compatible with both the SSH-1 and SSH-2
protocols.

%description -l pl.UTF-8
Net::SSH::Perl to napisany w całości w Perlu moduł implementujący
klienta SSH (Secure Shell). Jest kompatybilny z protokołami zarówno
SSH-1 jak i SSH-2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
PERL_MM_USE_DEFAULT=1 %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes ToDo
%dir %{perl_vendorarch}/auto/Net/SSH
%dir %{perl_vendorarch}/auto/Net/SSH/Perl
%dir %{perl_vendorarch}/Net/SSH
%attr(755,root,root) %{perl_vendorarch}/auto/Net/SSH/Perl/Perl.so
%{perl_vendorarch}/Net/SSH/*.pm
%{perl_vendorarch}/Net/SSH/Perl
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-SSH-Perl.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 7f68cf4
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 03db248
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> e6cda09
- perl 5.36.0 rebuild

* Mon Feb 28 2022 Jan Rękorajski <baggins@pld-linux.org> 857bdc1
- rebuild with perl 5.34.0

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 0d3089b
- rebuild with perl 5.32

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 6b9098a
- rebuild with perl 5.32

* Mon Jun 01 2020 Jan Rękorajski <baggins@pld-linux.org> 082d91a
- updated test deps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7f6c91e
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Jun 16 2019 Adam Osuchowski <adwol@pld-linux.org> 9fdab65
- file mode fix

* Sun Jun 16 2019 Adam Osuchowski <adwol@pld-linux.org> 8c5f599
- up to 2.14

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> cf2de25
- use generic url

* Tue May 28 2013 Jan Rękorajski <baggins@pld-linux.org> 0111415
- don't require perl-Scalar-List-Utils, it's in perl-modules
- rel 3

* Sun Jun 13 2010 Jan Rękorajski <baggins@pld-linux.org> 70e8f81
- rel 2

* Tue Nov 03 2009 Jan Rękorajski <baggins@pld-linux.org> ed114a4
- rel 1

* Tue Nov 03 2009 Jan Rękorajski <baggins@pld-linux.org> bb42d1b
- up to 1.34
- updated R/BR

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7630ef2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7893ce0
- converted to UTF-8

* Sun Jul 09 2006 Maciej Pijanka <agaran@pld-linux.org> df9d3d3
- up to 1.30, rel at 0.1, builds here

* Thu Feb 23 2006 Maciej Pijanka <agaran@pld-linux.org> 7a7e40d
- up to 1.29, rel 0.1 builds here

* Mon May 30 2005 petec <petec@pld-linux.org> 8371d4b
- up to 1.28

